import { createSSRApp } from "vue";
import { createPinia } from "pinia";
import App from "./App.vue";
import router from "./router";

import "uno.css";
import { persist } from "./stores/persist";

export function createApp() {
  const pinia = createPinia();
  pinia.use(persist);

  const app = createSSRApp(App);

  app.use(pinia);
  app.use(router);

  return {
    app,
  };
}
